Subject: [CDNi] [Errata Verified] RFC8006 (5150)

From: RFC Errata System <[email-masked]>
Date: Wed, 18 Oct 2017 07:30:35 -0700 (PDT)

The following errata report has been verified for RFC8006,
"Content Delivery Network Interconnection (CDNI) Metadata". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5150

--------------------------------------
Status: Verified
Type: Technical

Reported by: Kevin J. Ma <[email-masked]>
Date Reported: 2017-10-08
Verified by: Alexey Melnikov (IESG)

Section: 6.10

Original Text
-------------
         "generic-metadata-type": "MI.SourceMetadata",
         "generic-metadata-value": {
           "sources": [
             {
               "endpoint": ["acq1.ucdn.example"],
               "protocol": "http/1.1"
             },
             {
               "endpoint": ["acq2.ucdn.example"],
               "protocol": "http/1.1"
             }
           ]
         }

Corrected Text
--------------
         "generic-metadata-type": "MI.SourceMetadata",
         "generic-metadata-value": {
           "sources": [
             {
               "endpoints": ["acq1.ucdn.example"],
               "protocol": "http/1.1"
             },
             {
               "endpoints": ["acq2.ucdn.example"],
               "protocol": "http/1.1"
             }
           ]
         }

Notes
-----
The SourceMetadata object contains an array of "sources", which in turn contains an array of "endpoints".  The example in section 6.10 uses the singular "endpoint" instead of the plural "endpoints".  The examples in sections 4.2.1 and 4.2.1.1 correctly use the plural "endpoints" for the property name, as defined in section 4.2.1.1.

--------------------------------------
RFC8006 (draft-ietf-cdni-metadata-21)
--------------------------------------
Title               : Content Delivery Network Interconnection (CDNI) Metadata
Publication Date    : December 2016
Author(s)           : B. Niven-Jenkins, R. Murray, M. Caulfield, K. Ma
Category            : PROPOSED STANDARD
Source              : Content Delivery Networks Interconnection
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG